| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Functions
Modified Functors
Numerical Utilities » Functor Objects

Modified functors implement expressions that involve one functor and a single parameter. More...

Collaboration diagram for Modified Functors:

## Detailed Description

Modified functors implement expressions that involve one functor and a single parameter.

The following modified functor types are implemented:

- `"times-constant"` (class TimesConstant1),
- `"plus-constant"` (class PlusConstant1),
- `"periodic"` (class Periodic1).

## Classes
class | TimesConstant1
| Implements the product of a function and a constant. More...
class | PlusConstant1
| Implements the sum of a function and a constant. More...
class | Periodic1
| Implements a periodic function. More...

## Functions
shared_ptr< Func1 > | newFunc1 (const string &func1Type, const shared_ptr< Func1 > f, double coeff)
| Create a new modified functor object (see Modified Functors).

## Function Documentation

## ◆ newFunc1()

shared_ptr< Func1 > newFunc1 | ( | const string & | func1Type,
|  | const shared_ptr< Func1 > | f,
|  | double | coeff
| ) |  |

Create a new modified functor object (see Modified Functors).

Parameters

  func1Type | String identifying functor type.
  f | Func1 object.
  coeff | Coefficient; definition depends on functor type.

Since
  New in Cantera 3.0

Definition at line 164 of file Func1Factory.cpp.